Find Redemption Rewards
1 min
GET
https://api.b.preview.loyaltyservices.io/api/v3/rewards/redemption-rules
Query Parameters
- memberIdentifierstringDescriptionMin Length1Max Length200
- codestringDescriptionMin Length1Max Length30
- typeCodestringDescription
- tagsstring[]Description
Responses
200
- FindRedemptionRewardsResponse
- redemptionRewardsRedemptionReward[]
- codestringExampleDescription
- typeCodestringExampleDescription
- descriptionstringExampleDescription
- currencyRequirednumberExampleDescription
- minimumQuantityinteger<int32>ExampleDescriptionFormatint32
- maximumQuantityinteger<int32>ExampleDescriptionFormatint32
- redeemIncrementinteger<int32>ExampleDescriptionFormatint32
- faceValuenumberExampleDescription
- amountProvidedbooleanDescription
- partnerPartner
- codestringDescription
- namestringDescription
- sortValuestringDescription
- expirationDatestring<date>DescriptionFormatdate
- providerDetailsmap<string, string>Example
{ "catalogId": "CAT123", "sku": "SKU123-D-001" }Description - genericItemGenericItemDescription
- contentCodestringrequiredExampleDescription
- contentTypeCodestringExampleDescription
- namestringExampleDescriptionMax Length50
- shortDescriptionstringExampleDescriptionMax Length500
- descriptionstringExampleDescription
- alternateDescriptionstringExampleDescription
- termsAndConditionsstringExampleDescription
- titlestringExampleDescriptionMax Length200
- labelstringExampleDescriptionMax Length255
- logoKeystringExampleDescription
- displayTypeKeystringExampleDescription
- startDatestring<date-time>DescriptionFormatdate-time
- endDatestring<date-time>DescriptionFormatdate-time
- urlstringExampleDescriptionMax Length1000
- tierCodestringExampleDescription
- displayForAllbooleanExampleDescription
- descriptorCodestringExampleDescription
- rewardContextRedemptionRewardContext
- redeemablebooleanDescription
- poolRedeemablebooleanDescription
- redeemTextstringExampleDescription
- requireAddressbooleanDescription
- requirePartnerAccountNumberbooleanDescription
- baseRedemptionRedemptionRewardDescription
- Circular-Reference
- discountExpiresAtstring<date-time>DescriptionFormatdate-time
- tagsstring[]Example
[ "SUMMER_SALE", "VIP" ]
Description
400
- ErrorResponse
- errorsValidationError[]Description
- codestringDescription
- fieldNamestringDescription
- messagestringDescription
- messageParametersobject[]Description
401
403
500
curl
curl --request GET \
--url https://api.b.preview.loyaltyservices.io/api/v3/rewards/redemption-rules \
--header 'accept: application/json'ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.b.preview.loyaltyservices.io/api/v3/rewards/redemption-rules")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.b.preview.loyaltyservices.io/api/v3/rewards/redemption-rules"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
java
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
.url("https://api.b.preview.loyaltyservices.io/api/v3/rewards/redemption-rules")
.method("GET", body)
.addHeader("accept", "application/json")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();200
// Success
{
"redemptionRewards": [
{
"code": "GOLD_REWARD_2026",
"typeCode": "I",
"description": "Gold Member Exclusive Reward",
"currencyRequired": 5000,
"minimumQuantity": 1,
"maximumQuantity": 10,
"redeemIncrement": 1,
"faceValue": 500,
"amountProvided": false,
"partner": {
"code": "",
"name": ""
},
"sortValue": "",
"expirationDate": "",
"providerDetails": "{\"catalogId\":\"CAT123\",\"sku\":\"SKU123-D-001\"}",
"genericItem": {
"contentCode": "Bonus100",
"contentTypeCode": "HEADER",
"name": "Bonus 100 points",
"shortDescription": "Award 100 points",
"description": "Award 100 points on 100th stay",
"alternateDescription": "Award 100 points on 100th stay",
"termsAndConditions": "Terms and conditions for this promotion",
"title": "Award 100 points",
"label": "100 points awarded",
"logoKey": "100-points.png",
"displayTypeKey": "100 points",
"startDate": "",
"endDate": "",
"url": "/loyaltyprogram/bonus/100-points",
"tierCode": "B",
"displayForAll": true,
"descriptorCode": "LIMITED_TIME"
},
"rewardContext": {
"redeemable": false,
"poolRedeemable": false,
"redeemText": "Click to Redeem",
"requireAddress": false,
"requirePartnerAccountNumber": false
},
"baseRedemption": {
"": ""
},
"discountExpiresAt": "",
"tags": [
""
]
}
]
}400
// Bad request
{
"errors": [
{
"code": "",
"fieldName": "",
"message": "",
"messageParameters": [
{}
]
}
]
}401
// Unauthorized
403
// Forbidden
500
// Internal error